import request from '@/utils/request'

// 查询版本菜单列表
export function listVersionMenu(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/versionMenu/list',
    method: 'get',
    params: query
  })
}

// 查询版本菜单详细
export function getVersionMenu(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/versionMenu/' + id,
    method: 'get'
  })
}

// 新增版本菜单
export function addVersionMenu(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/versionMenu',
    method: 'post',
    data: data
  })
}

// 修改版本菜单
export function updateVersionMenu(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/versionMenu',
    method: 'put',
    data: data
  })
}

// 删除版本菜单
export function delVersionMenu(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/system/versionMenu/' + id,
    method: 'delete'
  })
}
